org.keycloak.dom.xmlsec.w3.xmldsig

## Class SignatureType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.SignatureType

-     public class SignatureType
      extends Object

  Java class for SignatureType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignatureType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}SignedInfo"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}SignatureValue"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo" minOccurs="0"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Object" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected KeyInfoType` | `keyInfo`
    `protected List<ObjectType>` | `object`
    `protected SignatureValueType` | `signatureValue`
    `protected SignedInfoType` | `signedInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObject(ObjectType obj)`
    `String` | `getId()` Gets the value of the id property.
    `KeyInfoType` | `getKeyInfo()` Gets the value of the keyInfo property.
    `List<ObjectType>` | `getObject()` Gets the value of the object property.
    `SignatureValueType` | `getSignatureValue()` Gets the value of the signatureValue property.
    `SignedInfoType` | `getSignedInfo()` Gets the value of the signedInfo property.
    `void` | `removeObject(ObjectType obj)`
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setKeyInfo(KeyInfoType value)` Sets the value of the keyInfo property.
    `void` | `setSignatureValue(SignatureValueType value)` Sets the value of the signatureValue property.
    `void` | `setSignedInfo(SignedInfoType value)` Sets the value of the signedInfo property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signedInfo

          protected SignedInfoType signedInfo

    - #### signatureValue

          protected SignatureValueType signatureValue

    - #### keyInfo

          protected KeyInfoType keyInfo

    - #### object

          protected List<ObjectType> object

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SignatureType

          public SignatureType()

  - ### Method Detail

    - #### getSignedInfo

          public SignedInfoType getSignedInfo()

      Gets the value of the signedInfo property.
      Returns:
        possible object is `SignedInfoType`

    - #### setSignedInfo

          public void setSignedInfo(SignedInfoType value)

      Sets the value of the signedInfo property.
      Parameters:
        `value` - allowed object is `SignedInfoType`

    - #### getSignatureValue

          public SignatureValueType getSignatureValue()

      Gets the value of the signatureValue property.
      Returns:
        possible object is `SignatureValueType`

    - #### setSignatureValue

          public void setSignatureValue(SignatureValueType value)

      Sets the value of the signatureValue property.
      Parameters:
        `value` - allowed object is `SignatureValueType`

    - #### getKeyInfo

          public KeyInfoType getKeyInfo()

      Gets the value of the keyInfo property.
      Returns:
        possible object is `KeyInfoType`

    - #### setKeyInfo

          public void setKeyInfo(KeyInfoType value)

      Sets the value of the keyInfo property.
      Parameters:
        `value` - allowed object is `KeyInfoType`

    - #### addObject

          public void addObject(ObjectType obj)

    - #### removeObject

          public void removeObject(ObjectType obj)

    - #### getObject

          public List<ObjectType> getObject()

      Gets the value of the object property.

      Objects of the following type(s) are allowed in the list `ObjectType`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.